package com.jihe.punchnet

import org.junit.Test
import tech.kwik.core.QuicClientConnection
import java.net.URI

class TestQuic {
    @Test
    fun testQuic() {
        try {
            val builder = QuicClientConnection.newBuilder()
                .uri(URI("https://127.0.0.1:1365"))
                .applicationProtocol("punchnet/1.0")
                .noServerCertificateCheck()
            val connection = builder.build()
            connection.connect()
        } catch (e: Exception) {
        }
    }
}
